#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    long long t,x1,y1,x2,y2,a,b,c,d,e;
    cin >> t;
    for(long long i = 0; i < t; i++) {
        cin >> x1 >> y1 >> x2 >> y2 >> a >> b;
        c = abs(x2-x1);
        d = abs(y2-y1);
        cout << max(a-a,a-c+1)*max(a-a,b-d+1) << '\n';
    }
    return 0;
}
